### Function

# Adw BreakpointConditionnew_length

since: 1.4

#### Declaration [src]

    AdwBreakpointCondition*
    adw_breakpoint_condition_new_length (
      AdwBreakpointConditionLengthType type,
      double value,
      AdwLengthUnit unit
    )

#### Description [src]

Creates a condition that triggers on length changes.

Available since: 1.4

#### Parameters

`type`

  Type: `AdwBreakpointConditionLengthType`

  The length type.

`value`

  Type: `double`

  The length value.

`unit`

  Type: `AdwLengthUnit`

  The length unit.

#### Return value

Type: `AdwBreakpointCondition`

The newly created condition.

The caller of the function takes ownership of the data, and is responsible for freeing it.